BIM links: Supported versions of 3rd party applications

This article is also available in:
Please check the currently compatible version of the 3rd party applications (BIM links).

We have made several actions to ensure the consistent update process of our BIM links. In each major release of IDEA StatiCa (e.g., 21.0 and 21.1), we will support the two most recent major releases of each linked application. The older versions will become obsolete, this will happen in the major IDEA StatiCa releases only (patches will never disconnect older versions). On the other hand, when a new major release of the BIM application comes, we will develop/update the link in 2 months – the link will appear in a patch of IDEA StatiCa.

We currently support the versions presented in the first column of the table. The “In development” column represents the newest versions that will start to be supported in a patch of a major release. The third column lists the obsolete versions of supported BIM apps.

Compatibility of independently developed links is managed by 3rd party developers.


Steel BIM links*

ApplicationSupportedIn developmentObsolete
Advance Steel2021, 2022, 2023--
Revit2021, 2022, 2023--
Tekla Structures2021, 2022--
Advance Design2021, 2022-2023
AxisVMX5.4, X6.1, X6.2--
ETABS19, 20--
midas Civil / Gen2021, 2022--
RAM Structural System17.02, 17.03--
RFEM / RSTAB5.27 / 8.27, 5.28 / 8.286.02 / 9.02-
Robot Structural Analysis2022, 2023--
SAP200023, 24--
SCIA Engineer21, 21.1--
STAAD.Pro22--

Concrete BIM links*

ApplicationSupportedIn developmentObsolete
Advance Design2021, 2022-2023
AxisVMX5.4, X6.1, X6.2--
midas Civil / Gen2021, 2022--
RFEM / RSTAB5.27 / 8.27, 5.28 / 8.286.02 / 9.02-
Robot Structural Analysis2022, 2023--
SAP200023, 24--
SCIA Engineer21, 21.1--


* Supported by 22.0.2.XXXX version of IDEA StatiCa.

** The new version of RFEM/RSTAB will be linked after Dlubal implements API.

Related articles